# Custom Query Definitions Custom Query Definitions ## Gets all of the custom query definitions in the system. - [GET /customQueryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/listcustomquerydefinitions.md): This method will scan all custom query definitions and and return them to the caller. ## Creates a new custom query definition record that does not already exist. - [POST /customQueryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/createcustomquerydefinition.md): This method will auto-generate an ID and create a new custom query definition. If an ID is specified for the custom query definition, an error will be thrown. ## Execute Batch Operations - [POST /customQueryDefinitions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a custom query definition from the system by its ID. - [DELETE /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/deletecustomquerydefinition.md): This method will delete a custom query definition with the specified ID. ## Returns a custom query definition from the system by its ID. - [GET /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/getcustomquerydefinition.md): This method will look up a custom query definition by the specified ID and return it back. ## Partially updates a custom query definition with the specified ID. - [PATCH /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/patchcustomquerydefinition.md): This method will patch an existing custom query definition with the specified ID, using the HTTP PATCH specification. ## Updates a custom query definition with the specified ID. - [PUT /customQueryDefinitions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-query-definitions/updatecustomquerydefinition.md): This method will update an existing custom query definition with the specified ID.